Show / Hide Table of Contents

Interface CfnRule.IHttpParametersProperty

These are custom parameter to be used when the target is an API Gateway APIs or EventBridge ApiDestinations.

Namespace: Amazon.CDK.AWS.Events
Assembly: Amazon.CDK.Lib.dll
Syntax (csharp)
public interface CfnRule.IHttpParametersProperty
Syntax (vb)
Public Interface CfnRule.IHttpParametersProperty
Remarks

In the latter case, these are merged with any InvocationParameters specified on the Connection, with any values from the Connection taking precedence.

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html

ExampleMetadata: fixture=_generated

Examples
// The code below shows an example of how to instantiate this type.
             // The values are placeholders you should change.
             using Amazon.CDK.AWS.Events;

             var httpParametersProperty = new HttpParametersProperty {
                 HeaderParameters = new Dictionary<string, string> {
                     { "headerParametersKey", "headerParameters" }
                 },
                 PathParameterValues = new [] { "pathParameterValues" },
                 QueryStringParameters = new Dictionary<string, string> {
                     { "queryStringParametersKey", "queryStringParameters" }
                 }
             };

Synopsis

Properties

HeaderParameters

The headers that need to be sent as part of request invoking the API Gateway API or EventBridge ApiDestination.

PathParameterValues

The path parameter values to be used to populate API Gateway API or EventBridge ApiDestination path wildcards ("*").

QueryStringParameters

The query string keys/values that need to be sent as part of request invoking the API Gateway API or EventBridge ApiDestination.

Properties

HeaderParameters

The headers that need to be sent as part of request invoking the API Gateway API or EventBridge ApiDestination.

object? HeaderParameters { get; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html#cfn-events-rule-httpparameters-headerparameters

Type union: either Dictionary<string, string> or IResolvable

PathParameterValues

The path parameter values to be used to populate API Gateway API or EventBridge ApiDestination path wildcards ("*").

string[]? PathParameterValues { get; }
Property Value

string[]

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html#cfn-events-rule-httpparameters-pathparametervalues

QueryStringParameters

The query string keys/values that need to be sent as part of request invoking the API Gateway API or EventBridge ApiDestination.

object? QueryStringParameters { get; }
Property Value

object

Remarks

See: http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-events-rule-httpparameters.html#cfn-events-rule-httpparameters-querystringparameters

Type union: either Dictionary<string, string> or IResolvable

Back to top Generated by DocFX